/*!
 * rollup-plugin-inject-code v1.0.0-beta.1
 * A rollup plugin for inject codes
 * (c) 2023-2023 saqqdy 
 * Released under the MIT License.
 */
'use strict';

var fs = require('fs');

/**
 * A rollup plugin for inject codes
 *
 * @param options - options
 * @returns Plugin - injectCode plugin
 */
function injectCode(options) {
  if (!options.path) throw new Error('path is required');
  return {
    name: 'inject-code',
    renderChunk: function (code) {
      var INJECT_CODE = fs.readFileSync(require.resolve(options.path), 'utf-8');
      return options.position === 'after' ? "".concat(code.replace(/;*$/, ';'), "\n").concat(INJECT_CODE) : "".concat(INJECT_CODE.replace(/;*$/, ';'), "\n").concat(code);
    }
  };
}

module.exports = injectCode;
//# sourceMappingURL=index.cjs.map
